# Copy a version

Copies an existing version into a new version with the provided name.

Endpoint: PUT /v3/{domain_name}/templates/{template_name}/versions/{version_name}/copy/{new_version_name}
Version: 3.0.0
Security: basicAuth

## Path parameters:

  - `domain_name` (string, required)
    Domain name the template is associated with.

  - `template_name` (string, required)
    Template name the version is stored under.

  - `version_name` (string, required)
    Tag of the version to copy.

  - `new_version_name` (string, required)
    The name for the new version. If the version name already exists, the copy will fail.

## Query parameters:

  - `comment` (string)
    Comment to be used for the new version.

## Response 200 fields (application/json):

  - `message` (string, required)
    Response message

  - `version` (any, required)
    Created version details

  - `template` (any, required)
    Deprecated: Use 'version' field

## Response 400 fields (application/json):

  - `message` (string, required)
    Response message

## Response 401 fields (application/json):

  - `message` (string, required)
    Response message

## Response 404 fields (application/json):

  - `message` (string, required)
    Response message

## Response 500 fields (application/json):

  - `message` (string, required)
    Response message


